#include "ecomboboxplugin.h"

#include "ecombobox.h"

#include <QtCore/QtPlugin>


EComboBoxPlugin::EComboBoxPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void EComboBoxPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool EComboBoxPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * EComboBoxPlugin::createWidget(QWidget * parent) {
	return new EComboBox(parent);
}


QString EComboBoxPlugin::name() const {
	return QLatin1String("EComboBox");
}


QString EComboBoxPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon EComboBoxPlugin::icon() const {
	return QIcon(":/icons/widgets/ecombobox.png");
}


QString EComboBoxPlugin::toolTip() const {
	return QLatin1String("Combo Box with Search");
}


QString EComboBoxPlugin::whatsThis() const {
	return QLatin1String("Combo Box with Search");
}


bool EComboBoxPlugin::isContainer() const {
	return false;
}


QString EComboBoxPlugin::domXml() const {
	return QLatin1String("<widget class=\"EComboBox\" name=\"comboBox\">\n</widget>\n");
}


QString EComboBoxPlugin::includeFile() const {
	return QLatin1String("ecombobox.h");
}
